import java.util.*;

public class Company
{
    private String name;
    
    public Company(String n) {
        this.name = n;
    }
    
    public String toString() {
        return "Company " + name;
    }
    
    public String getName() {
        return name;
    }
    
    public boolean equals(Object other) {
        //if (other == null) return false; ???
        
        if (other == this) return true;
        
        if (other instanceof Company) {
            Company c = (Company) other;
            return this.getName().equals(c.getName());
        } else {
            return false;
        }
    }
    
    public int hashCode() {
        return name.hashCode();
    }
}
