
public class Employee extends Person
{
    private double salary;
    
    public Employee(String name, int yob, Address address, double salary) {
        super(name, yob, address);
        this.salary = salary;
    }
    
    public double getSalary() {
        return salary;
    }    
    
    public boolean equals(Object obj) {
        if (!(obj instanceof Employee)) return false;
        return this.salary == ((Employee)obj).salary && super.equals(obj);
    }

    public int hashCode() {
        int hash = 232;
        hash = hash * 31 + super.hashCode();
        hash = hash + 31 + new Double(salary).hashCode();
        return hash;
    }
}
